# Uses of Class
org.eclipse.draw2d.geometry.Ray

Packages that use Ray
Package
Description
org.eclipse.draw2d.geometry
Types representing or manipulating geometric values, such as Points, Dimensions, etc.

## Uses of Ray in org.eclipse.draw2d.geometry

Methods in org.eclipse.draw2d.geometry that return Ray
Modifier and Type
Method
Description
`Ray`
Ray.`getAdded(Ray r)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new Ray which is the sum of this Ray with another.
`Ray`
Ray.`getAveraged(Ray r)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new Ray which represents the average of this Ray with another.
`Ray`
Ray.`getScaled(int s)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new Ray which represents this Ray scaled by the amount provided.
Methods in org.eclipse.draw2d.geometry with parameters of type Ray
Modifier and Type
Method
Description
`int`
Ray.`assimilarity(Ray r)`
Deprecated, for removal: This API element is subject to removal in a future version.
Calculates the magnitude of the cross product of this Ray with another.
`int`
Ray.`dotProduct(Ray r)`
Deprecated, for removal: This API element is subject to removal in a future version.
Calculates the dot product of this Ray with another.
`Ray`
Ray.`getAdded(Ray r)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new Ray which is the sum of this Ray with another.
`Ray`
Ray.`getAveraged(Ray r)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new Ray which represents the average of this Ray with another.
`int`
Ray.`similarity(Ray r)`
Deprecated, for removal: This API element is subject to removal in a future version.
Calculates the similarity of this Ray with another.
Constructors in org.eclipse.draw2d.geometry with parameters of type Ray
Modifier
Constructor
Description
``
`Ray(Ray start, Ray end)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a Ray representing the difference between two provided Rays.